Reference / Os Access

List the application's OS login sessions (active + revoked), newest first.

GET /v1/os/sessions
Secret API key operationId: list_sessions

Authorization

Server-to-server. Send a secret key as a Bearer token plus the x-application-id header.

Responses

200 OS sessions
{
  "data": [
    {
      "channel": "string",
      "host_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
      "id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
      "identity_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
      "last_seen_at": "2026-01-15T09:30:00Z",
      "revoked_at": "2026-01-15T09:30:00Z",
      "session_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f",
      "started_at": "2026-01-15T09:30:00Z",
      "status": "string",
      "user_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f"
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "meta": {
    "timestamp": "string"
  },
  "success": false
}

Request

curl -X GET "https://api.identrahq.com/v1/os/sessions" \

Try it

live request
GET https://api.identrahq.com/v1/os/sessions